3PAR StoreServ Storage
cancel
Showing results for 
Search instead for 
Did you mean: 

Dory with Kubernetes 1.8

 
Highlighted
marcdavis
Occasional Collector

Dory with Kubernetes 1.8

Hi,

I am trying to get Dory working with Kubernetes 1.8 and it seems to always get errors from the flexvolume about command not found. Secifically a get volume name command. Does anyone have dory working with any of the recent versions of Kubernetes all the blog posts and looking at comments in code look to be with around version 1.5.

Thanks,

4 REPLIES 4
Highlighted
marcdavis
Occasional Collector

Re: Dory with Kubernetes 1.8

To add the errors I get in the Dory logs when I create the pod is the following when I run through the Dory provisioning examples.

Info : 2018/10/02 13:06:48 dory.go:52: [8844] entry  : Driver=hpe Version=1.0.0-4adcc622 Socket=/run/docker/plugins/hpe.sock Overridden=true
Info : 2018/10/02 13:06:48 dory.go:55: [8844] request: getvolumename [{"kubernetes.io/fsType":"","kubernetes.io/pvOrVolumeName":"3par","kubernetes.io/readwrite":"rw","name":"mydoryvol100","size":"20"}]
Error: 2018/10/02 13:06:48 handler.go:43: Unsupported command (getvolumename) was called with [{"kubernetes.io/fsType":"","kubernetes.io/pvOrVolumeName":"3par","kubernetes.io/readwrite":"rw","name":"mydoryvol100","size":"20"}]
Info : 2018/10/02 13:06:48 dory.go:58: [8844] reply  : getvolumename [{"kubernetes.io/fsType":"","kubernetes.io/pvOrVolumeName":"3par","kubernetes.io/readwrite":"rw","name":"mydoryvol100","size":"20"}]: {"status":"Not supported","message":"Not supported."}

 

I surfed through the code and getvolumename is a valid request but is not implemented by Dory so I am wondering what I am doing wrong or has something changed in Kubernetes such that the Dory code is going to need to be updated for later versions as my Kubernetes version is 1.8.3 currently.

Thanks,

Highlighted
veeyarvi
HPE Pro

Re: Dory with Kubernetes 1.8

Hello marcdavis,

It appears, you need to engage HPE Support for issues on Dory for HPE 3PAR StoreServ Storage,  in GitHub.

https://github.com/hpe-storage/dory/issues

https://support.hpe.com/hpsc/doc/public/display?docId=emr_na-a00044942en_us have more detials

 


I am an HPE Employee
Accept or Kudo
Highlighted
marcdavis
Occasional Collector

Re: Dory with Kubernetes 1.8

Thanks for the links. I upgraded the the latest branches vs the released 1.0 branch and made it past the above issues but now I have hit the dory mount issue (#36) in the list. Guess I will have to wait on that resolution.

 

Thanks again.

Highlighted
veeyarvi
HPE Pro

Re: Dory with Kubernetes 1.8

Hello marcdavis,

Good to know that after upgrade the initial issues resolved. And yes, the #36 is still open. 


I am an HPE Employee
Accept or Kudo